import { IDanmaTrack, IDanmaTrackInfo } from './interface/IDanmaTrack';
import Danmaku from './Danmaku';
import { IDanmaMessage } from './interface/IDanmaMessage';
import { DanmakuPool } from './DanmakuPool';
export declare class DanmaTrack implements IDanmaTrack {
    mDanmaku?: Danmaku;
    mDanmuPool: DanmakuPool;
    mDanmaMessages: IDanmaMessage[];
    mTrackInfo: IDanmaTrackInfo;
    mDanmuTrackConfig: IDanmaTrackConfig;
    constructor(danmuPool: DanmakuPool, danmaTrackConfig: IDanmaTrackConfig);
    setDanmaku(danmaku: Danmaku): void;
    initConfig(danmaTrackConfig: IDanmaTrackConfig): void;
    render(ctx: CanvasRenderingContext2D): void;
    refreshMessage(ctx: CanvasRenderingContext2D): void;
    AddMessage(ctx: CanvasRenderingContext2D): void;
    removeMessage(): void;
}
