import { Point, Rect } from '../interface/IDanmaMessage';
import { IDanmaTrackInfo } from '../interface/IDanmaTrack';
import { BaseMessage } from './BaseMessage';
interface VideoMessageConfig {
    url: string;
    width: number;
    height: number;
}
export default class VideoMessage extends BaseMessage {
    private VideoMessageConfig;
    private mIsPlay;
    private mVideo;
    constructor(msg: VideoMessageConfig);
    onCreate(callback: Function): void;
    onMeasure(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): Rect;
    onLayout(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): Point;
    onDraw(ctx: CanvasRenderingContext2D, trackInfo: IDanmaTrackInfo): void;
    onDestroyed(): boolean;
}
export {};
